aboutsummaryrefslogtreecommitdiff
path: root/desktop
diff options
context:
space:
mode:
authorEbben Aries <slackbuilds@dscp.org>2024-08-31 09:18:07 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-01 08:13:05 +0700
commit285663490c04e07297da4aefbe3530c22b748867 (patch)
treea900135e96c7504f6313a301a6a72fa3b0cf10ee /desktop
parentec6647ab45c0c7d8cf25c19824a3b89ea813951e (diff)
desktop/kanshi: Added (Dynamic display configuration).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kanshi/README9
-rw-r--r--desktop/kanshi/kanshi.SlackBuild106
-rw-r--r--desktop/kanshi/kanshi.info10
-rw-r--r--desktop/kanshi/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/desktop/kanshi/README b/desktop/kanshi/README
new file mode 100644
index 000000000000..1297390b8de2
--- /dev/null
+++ b/desktop/kanshi/README
@@ -0,0 +1,9 @@
+kanshi (Wayland equivalent for autorandr)
+
+kanshi allows you to define output profiles that are automatically
+enabled and disabled on hotplug. For instance, this can be used to turn
+a laptop's internal screen off when docked.
+
+This is a Wayland equivalent for tools like autorandr. kanshi can be
+used on Wayland compositors supporting the wlr-output-management
+protocol.
diff --git a/desktop/kanshi/kanshi.SlackBuild b/desktop/kanshi/kanshi.SlackBuild
new file mode 100644
index 000000000000..beefb6a070d8
--- /dev/null
+++ b/desktop/kanshi/kanshi.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Slackware build script for kanshi
+
+# Copyright 2024 Ebben Aries <slackbuilds@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=kanshi
+VERSION=${VERSION:-1.7.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --buildtype=release
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/kanshi/kanshi.info b/desktop/kanshi/kanshi.info
new file mode 100644
index 000000000000..65e4c0cb794e
--- /dev/null
+++ b/desktop/kanshi/kanshi.info
@@ -0,0 +1,10 @@
+PRGNAM="kanshi"
+VERSION="1.7.0"
+HOMEPAGE="https://git.sr.ht/~emersion/kanshi/"
+DOWNLOAD="https://git.sr.ht/~emersion/kanshi/refs/download/v1.7.0/kanshi-1.7.0.tar.gz"
+MD5SUM="88044c744ed1b2ed42d435d50990214c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libscfg"
+MAINTAINER="Ebben Aries"
+EMAIL="slackbuilds@dscp.org"
diff --git a/desktop/kanshi/slack-desc b/desktop/kanshi/slack-desc
new file mode 100644
index 000000000000..f739e8f93f6c
--- /dev/null
+++ b/desktop/kanshi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kanshi: kanshi (Wayland equivalent for autorandr)
+kanshi:
+kanshi: kanshi allows you to define output profiles that are automatically
+kanshi: enabled and disabled on hotplug. For instance, this can be used to
+kanshi: turn a laptop's internal screen off when docked.
+kanshi:
+kanshi:
+kanshi:
+kanshi: Homepage: https://git.sr.ht/~emersion/kanshi/
+kanshi:
+kanshi: